Zum Hauptinhalt springen
PATCH
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
Eine vorhandene Aktionsdefinition aktualisieren
curl --request PATCH \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actionUrl": "<string>",
  "executionRules": [
    {
      "conditions": {},
      "labelName": "<string>"
    }
  ],
  "inputFieldDependencies": [
    {
      "controllingFieldName": "<string>",
      "dependencyType": "SINGLE_FIELD",
      "dependentFieldNames": [
        "<string>"
      ]
    }
  ],
  "inputFields": [
    {
      "isRequired": true,
      "typeDefinition": {
        "name": "<string>",
        "options": [
          {
            "label": "<string>",
            "value": "<string>",
            "description": "<string>",
            "displayOrder": 123
          }
        ],
        "description": "<string>",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>"
      },
      "supportedValueTypes": []
    }
  ],
  "labels": {},
  "objectTypes": [
    "<string>"
  ],
  "outputFields": [
    {
      "typeDefinition": {
        "externalOptions": true,
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "schema": {
          "type": "INTEGER",
          "maximum": 123,
          "minimum": 123
        },
        "useChirp": true,
        "description": "<string>",
        "externalOptionsReferenceType": "<string>",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>"
      }
    }
  ],
  "published": true
}
'
{
  "actionUrl": "<string>",
  "functions": [
    {
      "id": "<string>"
    }
  ],
  "id": "<string>",
  "inputFields": [
    {
      "isRequired": true,
      "typeDefinition": {
        "name": "<string>",
        "options": [
          {
            "label": "<string>",
            "value": "<string>",
            "description": "<string>",
            "displayOrder": 123
          }
        ],
        "description": "<string>",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>"
      },
      "supportedValueTypes": []
    }
  ],
  "labels": {},
  "objectTypes": [
    "<string>"
  ],
  "published": true,
  "revisionId": "<string>",
  "archivedAt": 123,
  "executionRules": [
    {
      "conditions": {},
      "labelName": "<string>"
    }
  ],
  "inputFieldDependencies": [
    {
      "controllingFieldName": "<string>",
      "dependencyType": "SINGLE_FIELD",
      "dependentFieldNames": [
        "<string>"
      ]
    }
  ],
  "objectRequestOptions": {
    "properties": [
      "<string>"
    ]
  },
  "outputFields": [
    {
      "typeDefinition": {
        "externalOptions": true,
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "schema": {
          "type": "INTEGER",
          "maximum": 123,
          "minimum": 123
        },
        "useChirp": true,
        "description": "<string>",
        "externalOptionsReferenceType": "<string>",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich
definitionId
string
erforderlich

Body

application/json
actionUrl
string

Der URL-Endpunkt, an dem die Aktion ausgeführt wird.

executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
inputFields
object[]
labels
object

Enthält Label für die Aktion, einschließlich Namen und Beschreibungen.

objectRequestOptions
object
objectTypes
string[]
outputFields
object[]
published
boolean

Gibt an, ob die Aktion veröffentlicht und zur Verwendung verfügbar ist.

Antwort

successful operation

actionUrl
string
erforderlich
functions
object[]
erforderlich
id
string
erforderlich
inputFields
object[]
erforderlich
labels
object
erforderlich
objectTypes
string[]
erforderlich
published
boolean
erforderlich
revisionId
string
erforderlich
archivedAt
integer<int64>
executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
objectRequestOptions
object
outputFields
object[]
Last modified on April 13, 2026